Package Details: kde-thumbnailer-apk 2.0-1

Git Clone URL: https://aur.archlinux.org/kde-thumbnailer-apk.git (read-only, click to copy)
Package Base: kde-thumbnailer-apk
Description: Preview image generator plugin for Android Application Package files
Upstream URL: https://github.com/z3ntu/kde-thumbnailer-apk
Keywords: kde thumbnailer
Licenses: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
Submitter: overmind88
Maintainer: z3ntu
Last Packager: z3ntu
Votes: 25
Popularity: 0.20
First Submitted: 2013-01-12 14:57 (UTC)
Last Updated: 2024-03-08 06:42 (UTC)

Latest Comments

1 2 Next › Last »

kinoe commented on 2023-10-20 15:43 (UTC)

kde-thumbnailer-apk needs to be updated to reflect the changes to the naming of KDE packages:

Installing kio5 (5.111.0-1) breaks "kio" dependency, needed by kde-thumbnailer-apk

z3ntu commented on 2023-07-28 21:15 (UTC)

@dreieck: Builds fine for me in a clean chroot (extra-x86_64-build).

dreieck commented on 2023-07-28 10:18 (UTC)

Build fails for me with

CMake Error at /usr/lib/cmake/Qt5Gui/Qt5Gui_QPbfPlugin.cmake:4 (_populate_Gui_plugin_properties):
  _populate_Gui_plugin_properties Macro invoked with incorrect arguments for
  macro named: _populate_Gui_plugin_properties
Call Stack (most recent call first):
  /usr/lib/cmake/Qt5Gui/Qt5GuiConfig.cmake:240 (include)
  /usr/lib/cmake/Qt5Widgets/Qt5WidgetsConfig.cmake:111 (find_package)
  /usr/lib/cmake/Qt5/Qt5Config.cmake:28 (find_package)
  CMakeLists.txt:14 (find_package)

Regards!

renyuneyun commented on 2018-01-28 12:21 (UTC)

I'm not sure, but this doesn't seem to be working on my system. Building is successful, enabling it in dolphin also doesn't crash, but the preview/thumbnail isn't showning up.

Is there anything (dependency) missing, or should this be considered outdated?

z3ntu commented on 2017-01-28 18:13 (UTC)

Also I think merging this package into kde-thumbnailer-apk would be pretty nice (as the kf4 version is quite outdated and not needed anymore) - I will give you co-maintainer status on the other package so you can update it :)

z3ntu commented on 2017-01-28 18:07 (UTC) (edited on 2017-01-28 18:08 (UTC) by z3ntu)

Also kdoctools isn't a makedepend anymore (I think it was just because of the kdelibs4support dependency). Btw thanks for taking my changes :)

maz-1 commented on 2017-01-28 02:26 (UTC)

@z3ntu Good job, updated.

z3ntu commented on 2017-01-27 23:19 (UTC)

Hey, I have just got rid of the KDELibs4Support dependency and have pushed to the changes to a github repo I created: https://github.com/z3ntu/kde-thumbnailer-apk.

z3ntu commented on 2017-01-27 21:32 (UTC) (edited on 2017-01-27 21:34 (UTC) by z3ntu)

You can also remove the install file thanks to the pacman hooks! And the url of the package can be updated to https://store.kde.org/p/1081013/

gustawho commented on 2017-01-13 03:33 (UTC)

Please, update the PKGBUILD: https://paste.kde.org/pfpgzfcey